# SoHandleBoxManip Class Reference
[Manipulators]

`#include <Inventor/manips/SoHandleBoxManip.h>`

Inheritance diagram for SoHandleBoxManip:

List of all members.

## Detailed Description

The SoHandleBoxManip class wraps an SoHandleBoxDragger for manipulating a transformation.

See also:
  SoHandleBoxDragger, SoDragger

## Public Member Functions

| SoHandleBoxManip (void)

## Static Public Member Functions

void | initClass (void)

## Protected Member Functions

| ~SoHandleBoxManip ()

## Constructor & Destructor Documentation

SoHandleBoxManip::SoHandleBoxManip | ( | void |  | ) |

| Constructor sets us up with an SoHandleBoxDragger for manipulating a transformation.

SoHandleBoxManip::~SoHandleBoxManip | ( |  | ) | `[protected]`

| Protected destructor. (SoHandleBoxManip is automatically destructed when it's reference count goes to 0.)

## Member Function Documentation

void SoHandleBoxManip::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoTransformManip.

The documentation for this class was generated from the following files:

- SoHandleBoxManip.h
- SoHandleBoxManip.cpp